Catalog Tasks
Catalog Tasks
Get task status
client.Zones.CatalogTasks.Get(ctx, taskID, params) (*Task, error)
GET/zones/{zone_id}/catalog_tasks/{task_id}
ModelsExpand Collapse
type Task struct{…}
type Task struct{…}
ID string
CreatedAt Time
formatdate-time
Operation TaskOperation
Operation TaskOperation
Accepts one of the following:
Status TaskStatus
Status TaskStatus
Accepts one of the following:
UpdatedAt Time
formatdate-time
ErrorMessage stringoptional
InstallID stringoptional
Links []TaskLinkoptional
Links []TaskLinkoptional
Href string
Target reference.
Fragment URIs (#name) reference other entities in the same graph by
their local name (the key in the entity map). Absolute paths and URLs reference
external resources outside the graph.
Rel string
Link relation type.
Properties map[string, any]optional
Additional metadata keyed by property name.
Titles map[string, string]optional
Human-readable titles keyed by BCP 47 language tag.
Type stringoptional
Media type of the target resource (per RFC 7033 section 4.4.4.3).
Applies to external hrefs; typically omitted for intra-graph references.
PackageID stringoptional
PackageSlug stringoptional
PackageVersion int64optional
Warnings []TaskWarningoptionalInformational warnings about the task outcome. For delete tasks,
warns when adopted entities (pre-existing resources not created by
the catalog) will be preserved rather than deleted.
Warnings []TaskWarningoptional
Informational warnings about the task outcome. For delete tasks, warns when adopted entities (pre-existing resources not created by the catalog) will be preserved rather than deleted.
Code string
Code string
Accepts one of the following:
const TaskWarningCodeValidationError TaskWarningCode = "validation_error"
const TaskWarningCodeBadRequest TaskWarningCode = "bad_request"
const TaskWarningCodeUnauthorized TaskWarningCode = "unauthorized"
const TaskWarningCodeForbidden TaskWarningCode = "forbidden"
const TaskWarningCodeNotFound TaskWarningCode = "not_found"
const TaskWarningCodeConflict TaskWarningCode = "conflict"
const TaskWarningCodeRateLimitExceeded TaskWarningCode = "rate_limit_exceeded"
const TaskWarningCodeInternalError TaskWarningCode = "internal_error"
const TaskWarningCodeServiceUnavailable TaskWarningCode = "service_unavailable"
Details []TaskWarningDetail
Details []TaskWarningDetail
Code string
Code string
Accepts one of the following:
const TaskWarningDetailCodeValidationError TaskWarningDetailCode = "validation_error"
const TaskWarningDetailCodeBadRequest TaskWarningDetailCode = "bad_request"
const TaskWarningDetailCodeUnauthorized TaskWarningDetailCode = "unauthorized"
const TaskWarningDetailCodeForbidden TaskWarningDetailCode = "forbidden"
const TaskWarningDetailCodeNotFound TaskWarningDetailCode = "not_found"
const TaskWarningDetailCodeConflict TaskWarningDetailCode = "conflict"
const TaskWarningDetailCodeRateLimitExceeded TaskWarningDetailCode = "rate_limit_exceeded"
const TaskWarningDetailCodeInternalError TaskWarningDetailCode = "internal_error"
const TaskWarningDetailCodeServiceUnavailable TaskWarningDetailCode = "service_unavailable"
Field string
valid json path for request body
Message string
error message for specific error
Message string
summary of the error
Path string
formaturl
RequestID string
formatuuid
Status int64
HTTP Status Code
Timestamp Time
formatdate-time
type TaskOperation string
type TaskOperation string
Accepts one of the following:
type TaskStatus string
type TaskStatus string
Accepts one of the following: